Package org.kapott.hbci.GV_Result

# Class GVRFestList.Entry.Prolong

java.lang.Object
org.kapott.hbci.GV_Result.GVRFestList.Entry.Prolong

Enclosing class:
  `GVRFestList.Entry`

public static final class GVRFestList.Entry.Prolong extends Object
Informationen darüber, wie eine Festgeldanlage bei Ablauf der Laufzeit zu verlängern ist

## Field Summary

Fields
Modifier and Type
Field
Description
`Value`
`betrag`
Neuer Betrag der Anlage
`int`
`laufzeit`
Neue Laufzeit nach dem Ablaufdatum
`boolean`
`verlaengern`
Soll Festgeldanlage nach der zusätzlichen `laufzeit` erneut verlängert werden?

## Constructor Summary

Constructors
Constructor
Description
`Prolong()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### laufzeit

public int laufzeit
Neue Laufzeit nach dem Ablaufdatum

### betrag

public Value betrag
Neuer Betrag der Anlage

### verlaengern

public boolean verlaengern
Soll Festgeldanlage nach der zusätzlichen `laufzeit` erneut verlängert werden?

## Constructor Details

### Prolong

public Prolong()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`